Skip to main content
Sitecore Documentation
  • Learn
  • Downloads
  • Changelog
  • Roadmap
SendCloud Portal
Sitecore Send API documentation
  • Introduction to the Sitecore Send API
        • Get all subscribers
        • Get subscriber by email address
        • Get subscriber by ID
        • Get subscriber by ID without mailing list ID
        • Add a new subscriber
        • Add multiple subscribers
        • Update a subscriber
        • Unsubscribe a subscriber from an account
        • Unsubscribe a subscriber from a mailing list
        • Unsubscribe a subscriber from a mailing list and a campaign
        • Remove a subscriber
        • Remove multiple subscribers
        • Delete a subscriber
        • Delete multiple subscribers from a specific mailing list
        • Delete a subscriber from an account
  1. Subscribers
  1. API reference
  2. Subscribers
  3. Delete multiple subscribers from a specific mailing list

Delete multiple subscribers from a specific mailing list

POST /subscribers/{MailingListID}/delete_many.{Format}

Deletes multiple subscribers from the specified email list permanently without moving them to the suppression list. Invalid email addresses are ignored.

Request

ParameterInTypeRequiredDescription
AcceptheaderstringtrueDetermines the expected format and data type to retrieve the response data.Value: application/json
MailingListIDpathstringtrueThe ID of the email list that contains the subscribers you want to delete.
FormatpathstringtrueThe supported file format for getting a response.Possible values: json and xml.
apikeyquerystringtrueThe API key of your account.
EmailsbodyobjecttrueA list of subscriber email addresses that you want to delete from the email list. Use a comma (,) to separate the email addresses.
http
POST https://{hostname}/v3/subscribers/{MailingListID}/delete\_many.{Format}?apikey=
Request body:
{
  "Emails": \[
    "[email protected]",
    "[email protected]",
    "[email protected]"
  \]
}
curl
curl --location --globoff --request POST \\
     --header "Content-Type: application/json" \\
     --header "Accept: application/json" \\
     --data-raw '{
  "Emails": \[
    "[email protected]",
    "[email protected]",
    "[email protected]"
  \]
}' \\
'https://{hostname}/v3/subscribers/{MailingListID}/delete\_many.{Format}?apikey='

Response

StatusDescriptionHeadersSchema
200 OKThe request is successful.Content-Type
/json
N/A
json
{
  "Code": 0,
  "Error": null,
  "Context": {
    "EmailsIgnored": 0,
    "EmailsProcessed": 3
  }
}
  • Code - the response code. This is 0 if successful.

  • Error - the response error message. This is null if successful.

    • VALIDATION_ERROR - input validation error occurred.

    • LIST_NOT_FOUND - the specified email list does not exist.

    • MEMBER_NOT_FOUND - a specified email address was not found in the email list.

    • MEMBER_DELETION_FAILED - failed to delete one or more members.

  • Context - an object that contains the following information:

    • EmailsIgnored - the number of ignored email addresses.

    • EmailsProcessed - the number of processed email addresses.

If you have suggestions for improving this article, let us know!

Documentation Assistant

This assistant uses AI to generate responses based on Sitecore documentation. While it has access to official sources, answers may be incomplete or inaccurate and should not be considered official advice or support.
Powered by
k
kapa.ai
Protected by reCAPTCHA

© Copyright 2026, Sitecore A/S or a Sitecore affiliated company.
All rights reserved.

Privacy policySitecore Trust CenterTerms of use